package com.goafanti.personnel.bo;

public class InputPersonnelListBo {
//	1）按名字关键字搜索
	private String name;
//	2）按所属公司搜索
	private String company;
//	3）按员工状态搜索
	private Integer status;
//	4）按职位搜索
	private Integer jobs;
//	5）按性别搜索
	private Integer sex;
//	6）按婚姻状态搜索
	private Integer marriage;
//	7）按政治面貌搜索
	private Integer politicalOutlook;
//	8）按生日月份进行搜索
	private Integer birthdayMonth;
//	9）按转正日期搜索
	private String promotionStart;
	private String promotionEnd;
//	10）按入职日期搜索
	private String entryStart;
	private String entryEnd;
//	11）按离职日期搜索
	private String quitStart;
	private String quitEnd;
//	12）按政治面貌搜索
//	13）按系统进行搜索
	private Integer system; 
//	14）按工龄期间（小于1年；1~3年；3~10年；10年之上）
	private Integer workingYears;
//	15）按学历搜索
	private Integer education;
//	16）按合同到期时间搜索
	private String contractStart;
	private String contractEnd;
	
	private Integer pageSize;
	private Integer pageNo;
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getCompany() {
		return company;
	}
	public void setCompany(String company) {
		this.company = company;
	}
	public Integer getStatus() {
		return status;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public Integer getJobs() {
		return jobs;
	}
	public void setJobs(Integer jobs) {
		this.jobs = jobs;
	}
	public Integer getSex() {
		return sex;
	}
	public void setSex(Integer sex) {
		this.sex = sex;
	}
	public Integer getMarriage() {
		return marriage;
	}
	public void setMarriage(Integer marriage) {
		this.marriage = marriage;
	}
	public Integer getPoliticalOutlook() {
		return politicalOutlook;
	}
	public void setPoliticalOutlook(Integer politicalOutlook) {
		this.politicalOutlook = politicalOutlook;
	}
	public Integer getBirthdayMonth() {
		return birthdayMonth;
	}
	public void setBirthdayMonth(Integer birthdayMonth) {
		this.birthdayMonth = birthdayMonth;
	}
	public String getPromotionStart() {
		return promotionStart;
	}
	public void setPromotionStart(String promotionStart) {
		this.promotionStart = promotionStart;
	}
	public String getPromotionEnd() {
		return promotionEnd;
	}
	public void setPromotionEnd(String promotionEnd) {
		this.promotionEnd = promotionEnd;
	}
	public String getEntryStart() {
		return entryStart;
	}
	public void setEntryStart(String entryStart) {
		this.entryStart = entryStart;
	}
	public String getEntryEnd() {
		return entryEnd;
	}
	public void setEntryEnd(String entryEnd) {
		this.entryEnd = entryEnd;
	}
	public String getQuitStart() {
		return quitStart;
	}
	public void setQuitStart(String quitStart) {
		this.quitStart = quitStart;
	}
	public String getQuitEnd() {
		return quitEnd;
	}
	public void setQuitEnd(String quitEnd) {
		this.quitEnd = quitEnd;
	}
	public Integer getSystem() {
		return system;
	}
	public void setSystem(Integer system) {
		this.system = system;
	}
	public Integer getWorkingYears() {
		return workingYears;
	}
	public void setWorkingYears(Integer workingYears) {
		this.workingYears = workingYears;
	}
	public Integer getEducation() {
		return education;
	}
	public void setEducation(Integer education) {
		this.education = education;
	}
	public String getContractStart() {
		return contractStart;
	}
	public void setContractStart(String contractStart) {
		this.contractStart = contractStart;
	}
	public String getContractEnd() {
		return contractEnd;
	}
	public void setContractEnd(String contractEnd) {
		this.contractEnd = contractEnd;
	}
	public Integer getPageSize() {
		return pageSize;
	}
	public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}
	public Integer getPageNo() {
		return pageNo;
	}
	public void setPageNo(Integer pageNo) {
		this.pageNo = pageNo;
	}
	
	
}
